
#include <iostream>
using namespace std;
#include "socket.h"
using namespace AlgorithMan;
#define bufsize 255

void just_print(Socket *s, char* f, int n)
{
    for(int i = 0; i < n; i++)
        cout << f[i];
    cout.flush();
}

int main(int argc, char** argv)
{
    if(argc < 2)
        return 1;

    try 
    {
        Socket s(argv[1]);
        cout << "connected to " << s.RemoteIP() << "\n";
        s.OnRecieve = just_print;
        s.Activate();
    
        char message[bufsize+1];
        while(cin.peek() != -1)
	{
            cin.getline(&message[0], bufsize);
	    string strMessage = string(message)+"\r\n";
            s.Send(strMessage);
        }
        
        return 0;
    }
    catch(char const* msg)
    {
        cerr << msg << endl;
        return 1;
    }
}

